<?php 
/**
 * Template part for displaying Services Section
 *
 *@package Mirza Blog
 */

    $ss_content_type     = mirza_blog_get_option( 'ss_content_type' );
    $number_of_ss_column = mirza_blog_get_option( 'number_of_ss_column' );
    $number_of_ss_items  = mirza_blog_get_option( 'number_of_ss_items' );

    for( $i=1; $i<=$number_of_ss_items; $i++ ) :
        $about_author_page_posts[] = absint(mirza_blog_get_option( 'about_author_page_'.$i ) );
    endfor;
    ?>

    <?php if( $ss_content_type == 'ss_page' ) : ?>
    <div class="section-content">
        <?php $args = array (
            'post_type'     => 'page',
            'post_per_page' => count( $about_author_page_posts ),
            'post__in'      => $about_author_page_posts,
            'orderby'       =>'post__in',
        );        
        $loop = new WP_Query($args);                        
        if ( $loop->have_posts() ) :
        $i=-1;  
            while ($loop->have_posts()) : $loop->the_post(); $i++;?>
            
            <article>
                <div class="course-item-wrapper">
                    <?php if ( has_post_thumbnail() ) : ?>
                        <div class="featured-image">
                            <a href="<?php the_permalink();?>"><img src="<?php the_post_thumbnail_url(); ?>"></a>
                        </div><!-- .featured-image -->
                    <?php endif; ?>
                    
                    <div class="entry-container">
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                        </header>

                        <div class="entry-content">
                            <?php the_content(); ?>
                        </div><!-- .entry-content -->
                    </div><!-- .entry-container -->
                </div><!-- .course-item-wrapper -->
            </article>

          <?php endwhile;?>
          <?php wp_reset_postdata(); ?>
        <?php endif;?>
    </div>
    <?php endif;